## helma.util
Class MD5Encoder

    java.lang.Object
      helma.util.MD5Encoder

    public class MD5Encoder

extends java.lang.Object

Constructor Summary
`MD5Encoder()`

Method Summary
`static java.lang.String` `encode(byte[] message)`
`static java.lang.String` `encode(java.lang.String str)`
`static void` `main(java.lang.String[] args)` used by commandline script to create admin username & password
`static byte[]` `toBytes(long n)` Convert a long to a byte array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MD5Encoder

    public MD5Encoder()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  used by commandline script to create admin username & password

  Throws:
    `java.lang.Exception`

### encode

    public static java.lang.String encode(java.lang.String str)
                                   throws java.security.NoSuchAlgorithmException

  Parameters:
    `str` - ...
  Returns:
    ...
  Throws:
    `java.security.NoSuchAlgorithmException` - ...

### encode

    public static java.lang.String encode(byte[] message)
                                   throws java.security.NoSuchAlgorithmException

  Parameters:
    `message` - ...
  Returns:
    ...
  Throws:
    `java.security.NoSuchAlgorithmException` - ...

### toBytes

    public static byte[] toBytes(long n)

  Convert a long to a byte array.

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.